sayren Docs
상품

상품 검색

GET
/storefront/v1/products

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Query Parameters

keyword*string
categoryId*string
minPrice*string
maxPrice*string
freeShipping*string
sort*string
page*string
size*string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/storefront/v1/products?keyword=string&categoryId=string&minPrice=string&maxPrice=string&freeShipping=string&sort=string&page=string&size=string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 1,    "size": 20,    "totalElements": 1,    "totalPages": 1,    "contents": [      {        "productId": "prod_3f9a1c2b7d4e",        "productNo": 482,        "name": "오버핏 코튼 반팔 티셔츠",        "thumbnailUrl": "https://cdn.avarlabs.com/demo/tshirt-white.jpg",        "salePrice": 29000,        "discountedPrice": 26100,        "discountRate": 10,        "originalPrice": 39000,        "freeShipping": false,        "fulfillment": {          "type": "SHIPPING",          "requiresShipping": true        },        "averageRating": 4.7,        "reviewCount": 128,        "soldOut": false      }    ]  },  "error": null}